Jump to content


Photo

php 4 and eAccelerator and APC


  • Please log in to reply
1 reply to this topic

#1 Blake Senftner

Blake Senftner

    Newbie

  • Support Team
  • Pip
  • 4 posts
  • Main OS: Windows Vista

Posted 09 June 2012 - 08:19 PM

I'm using php 4 under Coral 8.4.0.

I noticed that the eAccelerator and APC options can't be enabled. When I tried to find them, within the UniServer files, and then online it appears as if they are not available yet for php 4. Is this correct?

#2 BobS

BobS

    Project Helper

  • Super Moderator
  • PipPipPip
  • 334 posts
  • Location:Santiago Chile
  • Interests:Retiring, computer systems, system design, model railroads....
  • Wiki ID: BobS
  • Main OS: Windows 7

Posted 12 June 2012 - 10:58 AM

PHP 4 is no longer actively being developed. See http://php.net for more info on this, and especially "Migrating from PHP 4 to PHP 5".

The Uniform Server dropped support for PHP 4 in 2009 with version 4-Mona.
If you're using PHP 4 with Coral, you're really in unknown territory. Sorry.

As for eAccelerator, that project has apparently terminated. While there MAY be others who can fiddle with the code, it appears to be no longer "officially" supported. If you go to https://eaccelerator.net/, you'll find that their SSL certificate has expired. No changes have been made to the code since 2010.

APC DOES NOT WORK with PHP 4!

I tested it just now with Coral_8.5.4 (which uses PHP 5). The APC control panel looks very nice. :)

Bottom line: PHP 4 is pretty well dead for a viable production site. It's time to move along.

Regards,
BobS




1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users